Bug 462064 - rpm build failure in rawhide koji, rawhide mock, not related to building wesnoth itself.
rpm build failure in rawhide koji, rawhide mock, not related to building wesn...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 08:01 EDT by Gwyn Ciesla
Modified: 2008-09-15 10:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 10:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching the image that confuses file. (6.77 KB, image/png)
2008-09-12 13:05 EDT, Jindrich Novy
no flags Details

  None (edit)
Description Gwyn Ciesla 2008-09-12 08:01:35 EDT
Description of problem:
rawhide builds of wesnoth 1.4.4 and wesnoth 1.4.5 in local mock and koji fail.  local builds on F-9 succeed.

Version-Release number of selected component (if applicable):

rpm-4.5.90-0.git8461.5, will test against rpm-4.5.90-0.git8461.7

How reproducible:

cvs co wesnoth
cd wesnoth/devel
make build

OR

mock -r fedora-rawhide-i386 rebuild wesnoth-1.4.5-1.fc9.src.rpm
  
Actual results:
<snip>
Processing files: wesnoth-1.4.5-1.fc10
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.AE1nVP
+ umask 022
+ cd /builddir/build/BUILD
+ cd wesnoth-1.4.5
+ DOCDIR=/builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ export DOCDIR
+ rm -rf /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ /bin/mkdir -p /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ cp -pr COPYING changelog README copyright doc/manual/ /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ exit 0
error: 
magic_file(ms, "/builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/wesnoth/data/core/images/terrain/tent.png") failed: mode 100644 Macintosh HFS Extended version 61389 data (unclean) vasprintf failed (Invalid or incomplete multibyte or wide character)
rpmbuild: rpmfc.c:1400: rpmfcClassify: Assertion `ftype != ((void *)0)' failed.
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/wesnoth.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 315, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/wesnoth.spec']
LEAVE do --> EXCEPTION RAISED

http://koji.fedoraproject.org/koji/taskinfo?taskID=818176


Expected results:

Succesful build.

Additional info:
Comment 1 Gwyn Ciesla 2008-09-12 09:34:28 EDT
Fails on pm-4.5.90-0.git8461.7 too.
Comment 2 Gwyn Ciesla 2008-09-12 10:20:53 EDT
Upon closer examination, local mock gives different failure.

<snip>
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.alzzCt
+ umask 022
+ cd /builddir/build/BUILD
+ cd wesnoth-1.4.5
+ DOCDIR=/builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ export DOCDIR
+ rm -rf /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ /bin/mkdir -p /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ cp -pr COPYING changelog README copyright doc/manual/ /builddir/build/BUILDROOT/wesnoth-1.4.5-1.fc10.i386/usr/share/doc/wesnoth-1.4.5
+ exit 0
error:
Child returncode was: -6
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/wesnoth.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/wesnoth.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 Jindrich Novy 2008-09-12 12:50:08 EDT
hmmm, it seems that the file utility is confused by tent.png file. It's apparently an image but it treats it as "Macintosh HFS Extended version 61389 data" and then crashes:

[jnovy@dhcp-lab-186 terrain]$ file tent.png 
tent.png: ERROR: Macintosh HFS Extended version 61389 data (unclean) vasprintf failed (Invalid or incomplete multibyte or wide character)

[jnovy@dhcp-lab-186 terrain]$ echo $?
1

Reassigning to file to figure out where's the problem.
Comment 4 Jindrich Novy 2008-09-12 13:05:33 EDT
Created attachment 316595 [details]
Attaching the image that confuses file.
Comment 5 Panu Matilainen 2008-09-13 07:08:26 EDT
Yup, file-4.23 from F9 recognizes the tent.png file as "PNG image data" which it obviouslyis, file-4.25 from rawhide doesn't like it.
Comment 6 Daniel Novotny 2008-09-15 10:46:37 EDT
seems that the new upstream version file-4.26 recognizes the PNG image correctly, so now I upgraded the package to this version

file-4.26-1.fc10 should be out now
Comment 7 Gwyn Ciesla 2008-09-15 10:52:14 EDT
Many thanks!

Note You need to log in before you can comment on or make changes to this bug.